## view.xhtml
Class RawText

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.RawText

Direct Known Subclasses:
  HtmlText

    public class RawText

extends HtmlObject

Field Summary
`private java.lang.String` `text`

Constructor Summary
`RawText(java.lang.String raw_text)` Constructs the object from a String.

Method Summary
`java.lang.String` `getHtml()` Returns the text without encoding.
`java.lang.String` `getHtml(int indent_level, int ident_width)` As above but with indentation.

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    private final transient java.lang.String text

Constructor Detail

### RawText

    public RawText(java.lang.String raw_text)

  Constructs the object from a String.

Method Detail

### getHtml

    public java.lang.String getHtml()

  Returns the text without encoding.

  Specified by:
    `getHtml` in class `HtmlObject`

### getHtml

    public java.lang.String getHtml(int indent_level,
                                    int ident_width)

  As above but with indentation. (See HtmlObject.java for parameters).

  Specified by:
    `getHtml` in class `HtmlObject`
  Parameters:
    `indent_level` - the indentation level used at the root level
    `ident_width` - ... for inner elements